.gitignore added
[dotfiles/.git] / .config / coc / extensions / coc-go-data / tools / pkg / mod / golang.org / x / tools / gopls@v0.6.9 / internal / hooks / gen-licenses.sh
diff --git a/.config/coc/extensions/coc-go-data/tools/pkg/mod/golang.org/x/tools/gopls@v0.6.9/internal/hooks/gen-licenses.sh b/.config/coc/extensions/coc-go-data/tools/pkg/mod/golang.org/x/tools/gopls@v0.6.9/internal/hooks/gen-licenses.sh
new file mode 100644 (file)
index 0000000..7d6bab7
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/bash -eu
+
+# Copyright 2020 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -o pipefail
+
+output=$1
+tempfile=$(mktemp)
+cd $(dirname $0)
+
+cat > $tempfile <<END
+// Copyright 2020 The Go Authors. All rights reserved.
+// Use of this source code is governed by a BSD-style
+// license that can be found in the LICENSE file.
+
+//go:generate ./gen-licenses.sh licenses.go
+package hooks
+
+const licensesText = \`
+END
+
+# List all the modules gopls depends on, except other golang.org modules, which
+# are known to have the same license.
+mods=$(go list -deps -f '{{with .Module}}{{.Path}}{{end}}' golang.org/x/tools/gopls | sort -u | grep -v golang.org)
+for mod in $mods; do
+  # Find the license file, either LICENSE or COPYING, and add it to the result.
+  dir=$(go list -m -f {{.Dir}} $mod)
+  license=$(ls -1 $dir | egrep -i '^(LICENSE|COPYING)$')
+  echo "-- $mod $license --" >> $tempfile
+  echo >> $tempfile
+  sed 's/^-- / &/' $dir/$license >> $tempfile
+  echo >> $tempfile
+done
+
+echo "\`" >> $tempfile
+mv $tempfile $output
\ No newline at end of file